package it.integry.integrywmsnative.gest.settings;

import android.content.Context;
import androidx.databinding.DataBindingUtil;
import android.os.Bundle;
import androidx.fragment.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import butterknife.ButterKnife;
import it.integry.integrywmsnative.R;
import it.integry.integrywmsnative.databinding.FragmentMainSettingsBinding;
import it.integry.integrywmsnative.core.interfaces.ITitledFragment;

public class MainSettingsFragment extends Fragment implements ITitledFragment {

    private FragmentMainSettingsBinding mBinding;

    public MainSettingsFragment() {
        // Required empty public constructor
    }

    public static MainSettingsFragment newInstance() {
        MainSettingsFragment fragment = new MainSettingsFragment();
        Bundle args = new Bundle();
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public String getTitle(Context context){
        return context.getText(R.string.settings_category).toString();
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        //init();
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        mBinding = DataBindingUtil.inflate(inflater, R.layout.fragment_main_settings, container, false);

        ButterKnife.bind(this, mBinding.getRoot());

        return mBinding.getRoot();

    }

}
